PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

void CORE_dgetrip | ( | int | m,
|  | int | n,
|  | double * | A,
|  | double * | W
| ) |  |

CORE_dgetrip transposes a m-by-n matrix in place using an extra workspace of size m-by-n. Note : For square tile, workspace is not used.

Parameters

  [in] | m | Number of lines of tile A
  [in] | n | Number of columns of tile A
  [in,out] | A | Tile of size m-by-n On exit, A = trans(A)
  [out] | W | Workspace of size n-by-m if n != m, NULL otherwise.